Module java.desktop
Package javax.swing.plaf.basic

# Class BasicSliderUI.ComponentHandler

java.lang.Object
java.awt.event.ComponentAdapter
javax.swing.plaf.basic.BasicSliderUI.ComponentHandler

All Implemented Interfaces:
  `ComponentListener`, `EventListener`

Enclosing class:
  BasicSliderUI

public class BasicSliderUI.ComponentHandler extends ComponentAdapter
Listener for resizing events.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

## Constructor Summary

Constructors
Constructor
Description
`ComponentHandler()`
Constructs a `ComponentHandler`.

## Method Summary

### Methods declared in class java.awt.event.ComponentAdapter

`componentHidden, componentMoved, componentResized, componentShown`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComponentHandler

public ComponentHandler()
Constructs a `ComponentHandler`.